Namespace: webdriver.testing
View Source

# class Assertion.DelegatingMatcher_

All implemented interfaces
  `goog.labs.testing.Matcher`

Wraps an object literal implementing the Matcher interface. This is used to appease the Closure compiler, which will not treat an object literal as implementing an interface.

### new Assertion.DelegatingMatcher_(obj)

Parameters

obj`{describe: function(): string, matches: function(*): boolean}`

  The object literal to delegate to.

## Instance Methods

### describe(value, opt_description)code »

Describes why the matcher failed.

Specified by: goog.labs.testing.Matcher

Parameters

value`*`

  The value that didn't match.

opt_description`string=`

  A partial description to which the reason will be appended.

Returns

`string`

  Description of why the matcher failed.

### matches(value)code »

Determines whether a value matches the constraints of the match.

Specified by: goog.labs.testing.Matcher

Parameters

value`*`

  The object to match.

Returns

`boolean`

  Whether the input value matches this matcher.